apiVersion: apps/v1
kind: Deployment
metadata:
  annotations:
    kompose.cmd: C:\kompose\kompose.exe convert -f ../docker-compose.yml
    kompose.service.type: LoadBalancer
    kompose.version: 1.26.0 (40646f47)
  creationTimestamp: null
  labels:
    io.kompose.service: prometheus
  name: prometheus
spec:
  replicas: 1
  selector:
    matchLabels:
      io.kompose.service: prometheus
  strategy:
    type: Recreate
  template:
    metadata:
      annotations:
        kompose.cmd: C:\kompose\kompose.exe convert -f ../docker-compose.yml
        kompose.service.type: LoadBalancer
        kompose.version: 1.26.0 (40646f47)
      creationTimestamp: null
      labels:
        io.kompose.service: prometheus
    spec:
      containers:
        - args:
            - --config.file=/etc/prometheus/prometheus.yml
            - --web.listen-address=:8889
          image: prom/prometheus
          name: prometheus
          ports:
            - containerPort: 8889
          resources: {}
          volumeMounts:
            - mountPath: /etc/prometheus
              name: prometheus-claim0
      restartPolicy: Always
      volumes:
        - name: prometheus-claim0
          configMap:
            name: prometheus.yml
            
status: {}
---
apiVersion: v1
kind: ConfigMap
metadata:
  name: prometheus.yml
data:
  prometheus.yml: |
      global:
        scrape_interval: 15s
        evaluation_interval: 15s
        external_labels:
          monitor: 'codelab-monitor'
      scrape_configs:
        - job_name: 'prometheus scraping'
          metrics_path: '/actuator/prometheus'
          scrape_interval: 5s
          static_configs:
            - targets: ['app-tcp:8888']


  



